%define upstream_name    Graph-Easy-As_svg
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Output a Graph::Easy as Scalable Vector Graphics (SVG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Graph::Easy) >= 0.630.0
BuildRequires: perl(Graph::Easy::Edge::Cell)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Image::Info) >= 1.280.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# JQ 2014-04-15
# Module redefines subs in Graph::Easy, thus duplicating perl modules
# provides. Therefore we remove all automatic provides and define
# manually the only official provides.
%global __provides_exclude perl\\(Graph::Easy.*\\)
Provides:   perl(Graph::Easy::As_svg)

%description
'Graph::Easy::As_svg' contains just the code for converting a Graph::Easy
object to a SVG text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.280.0-2.mga9
+ Revision: 1813474
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 tv <tv> 0.280.0-1.mga8
+ Revision: 1637433
- update to 0.28

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-4.mga8
+ Revision: 1504595
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-3.mga7
+ Revision: 1283948
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.270.0-2.mga7
+ Revision: 1164589
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 0.270.0-1.mga7
+ Revision: 1155368
- new version 0.27

* Mon Jul 31 2017 sander85 <sander85> 0.260.0-1.mga7
+ Revision: 1133132
- update to 0.26

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-6.mga6
+ Revision: 1027963
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.230.0-5.mga6
+ Revision: 938888
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 746595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 684892
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Apr 15 2014 jquelin <jquelin> 0.230.0-2.mga5
+ Revision: 614599
- remove bogus provides

* Mon Mar 03 2014 guillomovitch <guillomovitch> 0.230.0-1.mga5
+ Revision: 598845
- imported package perl-Graph-Easy-As_svg


* Mon Mar 03 2014 cpan2dist 0.23-1mga
- initial mageia release, generated with cpan2dist
